> ## Documentation Index
> Fetch the complete documentation index at: https://landinglens.docs.landing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Auto Split



## OpenAPI

````yaml https://api.landing.ai/openapi.json post /v1/projects/{project_id}/autosplit
openapi: 3.1.0
info:
  title: LandingLens API
  description: >

    **LandingLens API** is a RESTful API that allows you to use
    [LandingLens](https://app.landing.ai) programmatically.

    Our API has predictable resource-oriented URLs, returns JSON-encoded
    responses, and uses standard HTTP response codes, authentication, and verbs.


    You can use the LandingLens API to programmatically perform many tasks in
    LandingLens, including:

    * Create projects

    * Upload images to projects

    * Create classes

    * Train models

    * Deploy models to cloud-endpoints hosted by LandingAI (cloud deployment)


    ## Tutorial

    Check out this
    [tutorial](https://landing-ai.github.io/public-rest-api/tutorial/) to learn
    the basic workflow for using the LandingLens APIs.
  version: 0.1.0
servers:
  - url: https://api.landing.ai
    description: Production environment
security: []
paths:
  /v1/projects/{project_id}/autosplit:
    post:
      tags:
        - Training
      summary: Auto Split
      operationId: auto_split_v1_projects__project_id__autosplit_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: integer
            title: Project Id
        - name: timeout
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 60
            title: Timeout
        - name: apikey
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Apikey
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutoSplitBody'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AutoSplitBody:
      properties:
        splitPercentages:
          $ref: '#/components/schemas/SplitPercentages'
        selectOption:
          allOf:
            - $ref: '#/components/schemas/AutoSplitOptions'
          description: >-
            `all-labeled` takes all labeled images, whether they have a split or
            not.

            This option modifies the splits, which can be risky and inconvenient
            if you manually assigned the splits, as it will override your work.


            `without-split` only takes the labeled images that do not yet have a
            split. It does not modify the splits already assigned to the images
            that previously had splits.
      type: object
      required:
        - splitPercentages
        - selectOption
      title: AutoSplitBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SplitPercentages:
      properties:
        train:
          type: integer
          title: Train
        dev:
          type: integer
          title: Dev
        test:
          type: integer
          title: Test
      type: object
      required:
        - train
        - dev
        - test
      title: SplitPercentages
    AutoSplitOptions:
      type: string
      enum:
        - all-labeled
        - without-split
      title: AutoSplitOptions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````